## ros-kinetic-prbt-support 0.4.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(prbt_support)
add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS roscpp)

catkin_package(
  INCLUDE_DIRS
)

################
## Clang tidy ##
################
if(CATKIN_ENABLE_CLANG_TIDY)
  find_program(
    CLANG_TIDY_EXE
    NAMES "clang-tidy"
    DOC "Path to clang-tidy executable"
    )
  if(NOT CLANG_TIDY_EXE)
    message(FATAL_ERROR "clang-tidy not found.")
  else()
    message(STATUS "clang-tidy found: ${CLANG_TIDY_EXE}")
    set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY_EXE}")
  endif()
endif()

#############
## Install ##
#############

## Install URDF and meshes
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY urdf DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY meshes DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)

  find_package(rostest REQUIRED)
  find_package(moveit_core REQUIRED)
  find_package(moveit_ros_planning REQUIRED)
  find_package(cmake_modules REQUIRED)
  find_package(Eigen3 REQUIRED)

  include_directories(
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIR}
  )

  add_rostest_gtest(urdf_tests
  test/urdf_tests.test
  test/urdf_tests.cpp
  )

  target_link_libraries(urdf_tests
    ${catkin_LIBRARIES}
    ${roscpp_LIBRARIES}
    ${moveit_core_LIBRARIES}
    ${moveit_ros_planning_LIBRARIES}
    ${Eigen3_LIBRARIES})

  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)

endif()

=== debian/changelog ===
ros-kinetic-prbt-support (0.4.12-1xenial) xenial; urgency=high

  * Fake speed override in case of sim:=true
  * Add frame speed monitoring
  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 23 Mar 2020 23:00:00 -0000

ros-kinetic-prbt-support (0.4.11-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Sep 2019 22:00:00 -0000

ros-kinetic-prbt-support (0.4.10-1xenial) xenial; urgency=high

  * Add default modbus server ip for pss4000
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 02 Sep 2019 22:00:00 -0000

ros-kinetic-prbt-support (0.4.9-1xenial) xenial; urgency=high

  * instantiate pg70 xacro macro (due to change in prbt_grippers)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-kinetic-prbt-support (0.4.8-1xenial) xenial; urgency=high

  * Add acceptance test for joint position limits
  * Relax joint limits.
  * Replace the radian values for the position limits (they have been rounded too roughly).
  * Added support for force-/torque sensors in gazebo
  * allow gripper_name as outside property instead of passing it explicitly
  * Add gripper brackets definition to prbt.xacro
  * Remove unnecessary file test_context.launch
    This file is moved to pilz_trajectory_generation, where it is mainly used.
    The test urdf_tests can use the original file planning_context.launch.
  * Add missing dependency on joint_state_controller
  * Relax joint limits (recompute radian values and round up 5th decimal)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 23 Apr 2019 22:00:00 -0000

ros-kinetic-prbt-support (0.4.7-1xenial) xenial; urgency=high

  * drop outdated can configuration
  * make robot.launch file configurable with args
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 14 Feb 2019 23:00:00 -0000

ros-kinetic-prbt-support (0.4.6-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 17 Jan 2019 23:00:00 -0000

ros-kinetic-prbt-support (0.4.5-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 15 Jan 2019 23:00:00 -0000

ros-kinetic-prbt-support (0.4.4-1xenial) xenial; urgency=high

  * Fixup of mesh files due to errors in gazebo visualization

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 15 Jan 2019 23:00:00 -0000

ros-kinetic-prbt-support (0.4.3-1xenial) xenial; urgency=high

  * Update readme

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-kinetic-prbt-support (0.4.2-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 07 Nov 2018 23:00:00 -0000

ros-kinetic-prbt-support (0.4.1-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 06 Nov 2018 23:00:00 -0000

ros-kinetic-prbt-support (0.4.0-1xenial) xenial; urgency=high

  * Enable prbt model to be used in combination with Gazebo
  * Add improved values for mass and inertia for all links
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 05 Nov 2018 23:00:00 -0000

ros-kinetic-prbt-support (0.3.0-1xenial) xenial; urgency=high

  * remove dependency on gripper

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 14 Aug 2018 22:00:00 -0000

ros-kinetic-prbt-support (0.2.2-1xenial) xenial; urgency=high

  * Move constants inside prbt_macro.xacro into local namespace.

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 25 Jul 2018 22:00:00 -0000

ros-kinetic-prbt-support (0.2.1-1xenial) xenial; urgency=high

  * Add <url> tag to all package.xml files
  * test launch files and add missing dependencies

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 18 Jul 2018 22:00:00 -0000

ros-kinetic-prbt-support (0.2.0-1xenial) xenial; urgency=high

  * initial robot model for prbt with and without pg+70 gripper
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 11 Jul 2018 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-prbt-support
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-joint-state-publisher, ros-kinetic-moveit-core, ros-kinetic-moveit-ros-planning, ros-kinetic-prbt-hardware-support, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-rostest, ros-kinetic-rviz
Homepage: https://wiki.ros.org/prbt_support
Standards-Version: 3.9.2

Package: ros-kinetic-prbt-support
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-canopen-motor-node, ros-kinetic-controller-manager, ros-kinetic-joint-state-controller, ros-kinetic-pilz-control, ros-kinetic-prbt-hardware-support, ros-kinetic-robot-state-publisher, ros-kinetic-roscpp, ros-kinetic-rosservice, ros-kinetic-topic-tools, ros-kinetic-xacro
Description: Mechanical, kinematic and visual description of the Pilz light weight arm PRBT.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-prbt-support//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
